> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create knowledge base file



## OpenAPI

````yaml post /api/v1/knowledge-base/file
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/knowledge-base/file:
    post:
      tags:
        - Knowledge Base
      summary: Create knowledge base file
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                fileId:
                  type: string
                prompt:
                  type: string
              required:
                - fileId
      responses:
        '200':
          description: Knowledge base file created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  fileName:
                    type: string
                  key:
                    type: string
                  status:
                    type: string
                    enum:
                      - PENDING
                      - UPLOADED
                      - INGESTED
                      - FAILED
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - id
                  - fileName
                  - key
                  - status
                  - createdAt
                  - updatedAt
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````